Loading...
Searching...
No Matches
mongocxx::options::rewrap_many_datakey Class Reference

`#include <mongocxx/v_noabi/mongocxx/options/rewrap_many_datakey.hpp>`

## Description

Used by mongocxx::v_noabi::client_encryption::rewrap_many_datakey.

## Public Member Functions

| rewrap_many_datakey ()=default
| Default initialization.
| rewrap_many_datakey (v1::rewrap_many_datakey_options opts)
| Construct with the mongocxx::v1 equivalent.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::view_or_value > const & | master_key () const
| Get the masterKey option.
rewrap_many_datakey & | master_key (bsoncxx::v_noabi::document::view_or_value master_key)
| Set the masterKey option.
| operator v1::rewrap_many_datakey_options () const
| Convert to the mongocxx::v1 equivalent.
bsoncxx::v_noabi::string::view_or_value | provider () const
| Get the KMS provider.
rewrap_many_datakey & | provider (bsoncxx::v_noabi::string::view_or_value provider)
| Set the optional KMS provider use to encrypt the data keys. Do not set to use the current KMS provider(s).

## Constructor & Destructor Documentation

## rewrap_many_datakey() [1/2]

mongocxx::v_noabi::options::rewrap_many_datakey::rewrap_many_datakey | ( |  | ) |

default

Default initialization.

## rewrap_many_datakey() [2/2]

mongocxx::v_noabi::options::rewrap_many_datakey::rewrap_many_datakey | ( | v1::rewrap_many_datakey_options | opts | ) |

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## master_key() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::document::view_or_value > const & mongocxx::v_noabi::options::rewrap_many_datakey::master_key | ( |  | ) | const

inline

Get the masterKey option.

The masterKey document MUST have the fields corresponding to the given provider as specified in masterKey. masterKey MUST NOT be given if it is not applicable for the given provider.

Returns
  A reference to this object to facilitate method chaining.

See also
  - https://www.mongodb.com/docs/manual/core/csfle/reference/kms-providers/#std-label-csfle-reference-kms-providers-create-and-store

## master_key() [2/2]

rewrap_many_datakey & mongocxx::v_noabi::options::rewrap_many_datakey::master_key | ( | bsoncxx::v_noabi::document::view_or_value | master_key | ) |

inline

Set the masterKey option.

The masterKey document MUST have the fields corresponding to the given provider as specified in masterKey. masterKey MUST NOT be given if it is not applicable for the given provider.

Parameters

  master_key | A document of the master key.

Returns
  A reference to this object to facilitate method chaining.

See also
  - https://www.mongodb.com/docs/manual/core/csfle/reference/kms-providers/#std-label-csfle-reference-kms-providers-create-and-store

## operator v1::rewrap_many_datakey_options()

mongocxx::v_noabi::options::rewrap_many_datakey::operator v1::rewrap_many_datakey_options | ( |  | ) | const

inline explicit

Convert to the mongocxx::v1 equivalent.

## provider() [1/2]

bsoncxx::v_noabi::string::view_or_value mongocxx::v_noabi::options::rewrap_many_datakey::provider | ( |  | ) | const

inline

Get the KMS provider.

A KMS provider (AWS KMS, Azure Key Vault, GCP KMS, the local provider, or KMIP) is used to decrypt data keys after fetching from the MongoDB Key Vault, and encrypt newly created data keys.

Returns
  An optional string name of the provider.

See also
  - https://www.mongodb.com/docs/manual/core/csfle/reference/kms-providers/#std-label-csfle-reference-kms-providers

## provider() [2/2]

rewrap_many_datakey & mongocxx::v_noabi::options::rewrap_many_datakey::provider | ( | bsoncxx::v_noabi::string::view_or_value | provider | ) |

inline

Set the optional KMS provider use to encrypt the data keys. Do not set to use the current KMS provider(s).

A KMS provider (AWS KMS, Azure Key Vault, GCP KMS, the local provider, or KMIP) is used to decrypt data keys after fetching from the MongoDB Key Vault, and encrypt newly created data keys.

Parameters

  provider | String name of the provider.

Returns
  An optional document containing the TLS options.

See also
  - https://www.mongodb.com/docs/manual/core/csfle/reference/kms-providers/#std-label-csfle-reference-kms-providers

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/options/rewrap_many_datakey.hpp